- Category: ecommerce
- Auth: API_KEY
- Composio-managed OAuth available? N/A
- Tools: 24
- Triggers: 0
- Slug:
OPEN_SEA - Version: 20261101_00
Tools
Build criteria offer
Build criteria offer
Cancel order
Cancel order
Slug:
OPEN_SEA_CANCEL_ORDERRequest offchain cancellation of a SignedZone-protected order, offer, or listing by chain, protocol, and order hash. Cancellation is only assured if a fulfillment signature was not vended beforehand; OpenSea requires a scoped bearer token for order cancellation.Input Parameters
An EIP-712 signature from the offerer of the order. If not provided, the user associated with the API Key will be checked instead
Output
Create criteria offer
Create criteria offer
Create item offer
Create item offer
Slug:
OPEN_SEA_CREATE_ITEM_OFFERSubmit an offer to purchase a single NFT (ERC721 or ERC1155). The order parameters accepted by this tool contain only the order type; a signature and protocol address are also required.Input Parameters
Exchange contract address. Must be one of [‘0x0000000000000068f116a894984e2db1123eb395’]
Output
Create listing
Create listing
Slug:
OPEN_SEA_CREATE_LISTINGSubmit a listing for a single NFT (ERC721 or ERC1155) on OpenSea. The order parameters accepted by this tool contain only the order type; a signature and protocol address are also required.Input Parameters
Exchange contract address. Must be one of [‘0x0000000000000068f116a894984e2db1123eb395’]
Output
Fulfill listing
Fulfill listing
Fulfill offer
Fulfill offer
Get account
Get account
Get all listings by collection
Get all listings by collection
Slug:
OPEN_SEA_GET_ALL_LISTINGS_BY_COLLECTIONGet a page of active, valid listings for a single collection, with cursor pagination.Input Parameters
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter
Output
Get all offers by collection
Get all offers by collection
Slug:
OPEN_SEA_GET_ALL_OFFERS_BY_COLLECTIONGet a page of active, valid offers for a collection, including individual and criteria offers, with cursor pagination.Input Parameters
Unique string to identify a collection on OpenSea. This can be found by visiting the collection on the OpenSea website and noting the last path parameter
Output
Get best listing by nft
Get best listing by nft
Get best listings by collection
Get best listings by collection
Get best offer by nft
Get best offer by nft
Get collection
Get collection
Get collections
Get collections
Get collection stats
Get collection stats
Get contract
Get contract
Get events
Get events
Slug:
OPEN_SEA_GET_EVENTSGet a list of events from OpenSea based on various filters like timestamps and event types.Input Parameters
Filter to only include events that occurred at or after the given timestamp (Unix epoch in seconds)
Filter to only include events that occurred before the given timestamp (Unix epoch in seconds)
Output
Get listings
Get listings
Slug:
OPEN_SEA_GET_LISTINGSGet a page of active, valid listings, with optional filters and a cursor for pagination.Input Parameters
The order in which to sort the results. If eth_price is used, asset_contract_address and token_id are required
Payment Token Address to filter results. This ensures all returned orders are listed in a single currency
Output
Get nft
Get nft
Get order
Get order
Get payment token
Get payment token
Get traits
Get traits